## repowerd 2016.08.3%2b16.10.20160830.1-0ubuntu1

=== data/CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

FILE(GLOB device_config_files "${CMAKE_CURRENT_SOURCE_DIR}/device-configs/*.xml")
FILE(GLOB dbus_config_files "${CMAKE_CURRENT_SOURCE_DIR}/dbus-configs/*.conf")

install(
  FILES ${device_config_files}
  DESTINATION ${REPOWERD_DEVICE_CONFIGS_PATH}
)

install(
  FILES ${dbus_config_files}
  DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/dbus-1/system.d
)

=== src/CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

add_definitions(-DPOWERD_DEVICE_CONFIGS_PATH=\"${POWERD_DEVICE_CONFIGS_PATH}\")
add_definitions(-DREPOWERD_DEVICE_CONFIGS_PATH=\"${REPOWERD_DEVICE_CONFIGS_PATH}\")

include_directories(
    ${CMAKE_SOURCE_DIR}
)

add_subdirectory(core)
add_subdirectory(adapters)
add_subdirectory(tools)

add_library(
    repowerd-default-daemon-config STATIC

    default_daemon_config.cpp
)

target_link_libraries(
    repowerd-default-daemon-config

    repowerd-core
    repowerd-adapters
)

add_executable(
    repowerd

    main.cpp
)

target_link_libraries(
    repowerd

    repowerd-core
    repowerd-adapters
    repowerd-default-daemon-config
)


install(
  TARGETS repowerd
  RUNTIME DESTINATION sbin
)

=== src/core/CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

set(
    REPOWERD_CORE_SRCS
    daemon.cpp
    default_state_machine.cpp
    handler_registration.cpp
)

add_library(
    repowerd-core STATIC
    ${REPOWERD_CORE_SRCS}
)

=== src/tools/CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

add_executable(
    repowerd-brightness-tool

    brightness_tool.cpp
)

target_link_libraries(
    repowerd-brightness-tool

    repowerd-core
    repowerd-adapters
    repowerd-default-daemon-config
)

add_executable(
    repowerd-cli

    cli.cpp
)

target_link_libraries(
    repowerd-cli

    repowerd-core
    repowerd-adapters
)

add_executable(
    repowerd-light-tool

    light_tool.cpp
)

target_link_libraries(
    repowerd-light-tool

    repowerd-core
    repowerd-adapters
    repowerd-default-daemon-config
)

add_executable(
    repowerd-power-source-tool

    power_source_tool.cpp
    ../default_daemon_config.cpp
)

target_link_libraries(
    repowerd-power-source-tool

    repowerd-core
    repowerd-adapters
    repowerd-default-daemon-config
)

add_executable(
    repowerd-proximity-tool

    proximity_tool.cpp
)

target_link_libraries(
    repowerd-proximity-tool

    repowerd-core
    repowerd-adapters
    repowerd-default-daemon-config
)

add_executable(
    repowerd-wakeup-tool

    wakeup_tool.cpp
)

target_link_libraries(
    repowerd-wakeup-tool

    repowerd-core
    repowerd-adapters
    repowerd-default-daemon-config
)

install(
    TARGETS
        repowerd-brightness-tool
        repowerd-cli
        repowerd-light-tool
        repowerd-proximity-tool
        repowerd-wakeup-tool
    RUNTIME DESTINATION sbin
)

=== debian/changelog ===
repowerd (2016.08.3+16.10.20160830.1-0ubuntu1) yakkety; urgency=medium

  * New 2016.08.3 release
    - Fix "Low battery notification turns screen on and never turns
      it off again." (LP: #1618417)
    - Fix "lock display when idle timeout not honoured" (LP: #1615001)
    - Fix "Missing powerd-cli active" (LP: #1618072)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Tue, 30 Aug 2016 16:36:58 +0000

repowerd (2016.08.2+16.10.20160823.1-0ubuntu1) yakkety; urgency=medium

  * New 2016.08.2 release
    - Fix "Regression: In dark conditions autobrightness does not
      adapt" (LP: #1613871)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Tue, 23 Aug 2016 14:22:58 +0000

repowerd (2016.08.1+16.10.20160817.1-0ubuntu1) yakkety; urgency=medium

  * New 2016.08.1 release
    - Fix "Display turns off right after playing back a long video"
      (LP: #1602739)
    - Fix "call screen still turns off after rejecting the call on
      the remote end without answering." (LP: #1613506)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Wed, 17 Aug 2016 17:48:35 +0000

repowerd (2016.08+16.10.20160811-0ubuntu1) yakkety; urgency=medium

  * New 2016.08 release
    - Fix "suspends during video playback when USB gets unplugged"
      (LP: #1602933)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Thu, 11 Aug 2016 14:17:03 +0000

repowerd (2016.06+16.10.20160808-0ubuntu1) yakkety; urgency=medium

  * debian/repowerd.service:
    - Make service dependency on lxc-android-config.service optional
      ('Wants' instead of 'Requires')
    - Silently fail if lxc-android-config.service is missing

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Mon, 08 Aug 2016 08:59:28 +0000

repowerd (2016.06+16.10.20160706.1-0ubuntu1) yakkety; urgency=medium

  * Initial release (LP: #1599271)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Wed, 06 Jul 2016 14:24:10 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing --with systemd

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DREPOWERD_DISABLE_TIME_SENSITIVE_TESTS=ON

## repowerd 2016.08.3+16.10.20160830.1-0ubuntu1

=== CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

project(repowerd)

set(REPOWERD_VERSION "2016.08.3")

cmake_minimum_required(VERSION 3.0)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(REPOWERD_BUILD_TESTS "Build tests" ON)
option(REPOWERD_DISABLE_TIME_SENSITIVE_TESTS "Don't run time-sensitive tests" OFF)

# Work around cmake setting conf dir to "/usr/etc" instead of "/etc"
# when prefix is "/usr"
if (NOT DEFINED CMAKE_INSTALL_SYSCONFDIR AND CMAKE_INSTALL_PREFIX STREQUAL "/usr")
    set(CMAKE_INSTALL_SYSCONFDIR "/etc")
endif()

enable_testing()
include(GNUInstallDirs)
find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(ANDROID_PROPERTIES REQUIRED libandroid-properties)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(UA REQUIRED ubuntu-platform-api)
pkg_check_modules(LIBHARDWARE REQUIRED libhardware)
pkg_check_modules(UBUNTU_PLATFORM_HARDWARE_API REQUIRED ubuntu-platform-hardware-api)
find_package(AndroidHeaders REQUIRED)

set(build_types "None;Debug;Release;RelWithDebInfo;MinSizeRel;AddressSanitizer;ThreadSanitizer")
# Change informational string for CMAKE_BUILD_TYPE
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "${build_types}" FORCE)
# Enable cmake-gui to display a drop down list for CMAKE_BUILD_TYPE
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "${build_types}")

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -pthread -std=c11 -Werror -Wall -Wextra -pedantic")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -pthread -std=c++14 -Werror -Wall -Wnon-virtual-dtor -Wextra -pedantic")

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower)

if(cmake_build_type_lower MATCHES "addresssanitizer")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -fsanitize=address")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -fsanitize=address")
elseif(cmake_build_type_lower MATCHES "threadsanitizer")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=thread -fno-omit-frame-pointer")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=thread -fno-omit-frame-pointer")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -fsanitize=thread")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -fsanitize=thread")
    link_libraries(tsan) # Workaround for LP:1413474
endif()

set(POWERD_DEVICE_CONFIGS_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/powerd/device_configs")
set(REPOWERD_DEVICE_CONFIGS_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/repowerd/device-configs")

add_definitions(-DREPOWERD_VERSION="${REPOWERD_VERSION}")

add_subdirectory(src/)
add_subdirectory(data/)

if(REPOWERD_BUILD_TESTS)
    find_package(GtestGmock REQUIRED)
    add_subdirectory(tests/)
endif()

=== src/adapters/CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

add_subdirectory(libsuspend)

set(
    REPOWERD_ADAPTER_SRCS

    android_autobrightness_algorithm.cpp
    android_backlight.cpp
    android_device_config.cpp
    android_device_quirks.cpp
    backlight_brightness_control.cpp
    brightness_params.cpp
    console_log.cpp
    dbus_connection_handle.cpp
    dbus_event_loop.cpp
    dbus_message_handle.cpp
    dev_alarm_wakeup_service.cpp
    event_loop.cpp
    event_loop_timer.cpp
    fd.cpp
    libsuspend_suspend_control.cpp
    monotone_spline.cpp
    null_log.cpp
    ofono_voice_call_service.cpp
    path.cpp
    real_chrono.cpp
    real_filesystem.cpp
    syslog_log.cpp
    sysfs_backlight.cpp
    system_shutdown_control.cpp
    ubuntu_light_sensor.cpp
    ubuntu_performance_booster.cpp
    ubuntu_proximity_sensor.cpp
    unity_display_power_control.cpp
    unity_power_button.cpp
    unity_screen_service.cpp
    unity_user_activity.cpp
    upower_power_source.cpp
)

add_library(
    repowerd-adapters STATIC
    ${REPOWERD_ADAPTER_SRCS}
)

target_link_libraries(
    repowerd-adapters

    suspend
    ${ANDROID_PROPERTIES_LDFLAGS} ${ANDROID_PROPERTIES_LIBRARIES}
    ${GIO_LDFLAGS} ${GIO_LIBRARIES}
    ${LIBHARDWARE_LDFLAGS} ${LIBHARDWARE_LIBRARIES}
    ${UA_LDFLAGS} ${UA_LIBRARIES}
    ${UBUNTU_PLATFORM_HARDWARE_API_LDFLAGS} ${UBUNTU_PLATFORM_HARDWARE_API_LIBRARIES}
)

target_include_directories(
    repowerd-adapters PUBLIC

    ${ANDROID_PROPERTIES_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${LIBHARDWARE_INCLUDE_DIRS}
    ${UA_INCLUDE_DIRS}
    ${UBUNTU_PLATFORM_HARDWARE_API_INCLUDE_DIRS}
)

=== tests/adapter-tests/CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

add_executable(
    repowerd-adapter-tests

    dbus_bus.cpp
    dbus_client.cpp
    fake_android_properties.cpp
    fake_brightness_notification.cpp
    fake_chrono.cpp
    fake_device_config.cpp
    fake_device_quirks.cpp
    fake_filesystem.cpp
    fake_libhardware.cpp
    fake_ofono.cpp
    fake_upower.cpp
    fake_wakeup_service.cpp
    run_command.cpp
    temporary_environment_value.cpp
    temporary_file.cpp
    unity_screen_dbus_client.cpp

    test_android_backlight.cpp
    test_android_autobrightness_algorithm.cpp
    test_android_device_config.cpp
    test_backlight_brightness_control.cpp
    test_dev_alarm_wakeup_service.cpp
    test_event_loop_timer.cpp
    test_monotone_spline.cpp
    test_ofono_voice_call_service.cpp
    test_path.cpp
    test_powerd_service.cpp
    test_real_chrono.cpp
    test_real_filesystem.cpp
    test_sysfs_backlight.cpp
    test_ubuntu_light_sensor.cpp
    test_ubuntu_proximity_sensor.cpp
    test_unity_display_power_control.cpp
    test_unity_power_button.cpp
    test_unity_screen_service.cpp
    test_unity_user_activity.cpp
    test_upower_power_source.cpp
)

target_link_libraries(
    repowerd-adapter-tests

    repowerd-core
    repowerd-adapters
    repowerd-test-common

    ${GTEST_BOTH_LIBRARIES}
    ${GMOCK_LIBRARY}
    ${GMOCK_MAIN_LIBRARY}
)

if (REPOWERD_DISABLE_TIME_SENSITIVE_TESTS)
    set(ADAPTER_TESTS_FILTER "${ADAPTER_TESTS_FILTER}:ARealChrono.*:AnEventLoopTimer.*")
endif()

add_test(
    repowerd-adapter-tests
    ${EXECUTABLE_OUTPUT_PATH}/repowerd-adapter-tests --gtest_filter=-${ADAPTER_TESTS_FILTER}
)

add_dependencies(repowerd-adapter-tests GMock)

=== tests/common/CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

add_library(
    repowerd-test-common STATIC

    fake_log.cpp
    fake_suspend_control.cpp
    spin_wait.cpp
)

target_link_libraries(
    repowerd-test-common

    repowerd-core

    ${GTEST_BOTH_LIBRARIES}
    ${GMOCK_LIBRARY}
    ${GMOCK_MAIN_LIBRARY}
)

=== tests/core-tests/CMakeLists.txt ===
# Copyright © 2016 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>

add_executable(
    repowerd-core-tests

    acceptance_test.cpp
    daemon_config.cpp
    fake_client_requests.cpp
    fake_notification_service.cpp
    fake_power_button.cpp
    fake_power_source.cpp
    fake_proximity_sensor.cpp
    fake_timer.cpp
    fake_user_activity.cpp
    fake_voice_call_service.cpp

    test_client_requests.cpp
    test_daemon.cpp
    test_fake_timer.cpp
    test_modem_power_control.cpp
    test_notification.cpp
    test_performance_booster.cpp
    test_power_button.cpp
    test_power_source.cpp
    test_proximity_sensor.cpp
    test_suspend_control.cpp
    test_turn_on_display_at_startup.cpp
    test_user_activity.cpp
    test_voice_call.cpp
)

target_link_libraries(
    repowerd-core-tests

    repowerd-core
    repowerd-test-common

    ${GTEST_BOTH_LIBRARIES}
    ${GMOCK_LIBRARY}
    ${GMOCK_MAIN_LIBRARY}
)

add_test(repowerd-core-tests ${EXECUTABLE_OUTPUT_PATH}/repowerd-core-tests)

add_dependencies(repowerd-core-tests GMock)

=== debian/control ===
Source: repowerd
Priority: optional
Section: admin
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               android-headers,
               cmake,
               dbus,
               google-mock,
               libandroid-properties-dev,
               libglib2.0-dev,
               libhardware-dev,
               libubuntu-application-api-dev,
               libubuntu-platform-hardware-api-dev,
               pkg-config
Standards-Version: 3.9.7
Homepage: https://launchpad.net/repowerd
Vcs-Git: https://git.launchpad.net/repowerd

Package: repowerd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         repowerd-data (= ${source:Version})
Replaces: powerd (<< 2016.05~)
Breaks: powerd (<< 2016.05~)
Provides: powerd
Description: Power daemon to monitor and control system power state
 This daemon monitors and controls system power states for Ubuntu
 phone and tablet.
 .
 This package contains repowerd daemon itself.

Package: repowerd-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: powerd (<< 2016.05~)
Description: Power daemon to monitor and control system power state
 This daemon monitors and controls system power states for Ubuntu
 phone and tablet.
 .
 This package contains data files needed by repowerd.

Package: repowerd-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         repowerd-data (= ${source:Version})
Description: Power daemon to monitor and control system power state
 This daemon monitors and controls system power states for Ubuntu
 phone and tablet. It provides a dbus interface for system services to request
 a power state, essentially allowing services to block suspend.
 .
 This package contains tools that use the repowerd infrastructure to interact
 with various hardware components. These tools are mainly useful for manual
 integration testing.

Package: powerd
Architecture: all
Depends: ${misc:Depends},
         repowerd (>= ${source:Version})
Section: oldlibs
Description: Transitional dummy package
 This is a transitional dummy package.

## repowerd 2017.03+17.04.20170403-0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 project(repowerd)
 
-set(REPOWERD_VERSION "2016.08.3")
+set(REPOWERD_VERSION "2017.03")
 
 cmake_minimum_required(VERSION 3.0)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -37,6 +37,7 @@
 
 pkg_check_modules(ANDROID_PROPERTIES REQUIRED libandroid-properties)
 pkg_check_modules(GIO REQUIRED gio-2.0)
+pkg_check_modules(GIO_UNIX REQUIRED gio-unix-2.0)
 pkg_check_modules(UA REQUIRED ubuntu-platform-api)
 pkg_check_modules(LIBHARDWARE REQUIRED libhardware)
 pkg_check_modules(UBUNTU_PLATFORM_HARDWARE_API REQUIRED ubuntu-platform-hardware-api)
@@ -67,8 +68,8 @@
     link_libraries(tsan) # Workaround for LP:1413474
 endif()
 
-set(POWERD_DEVICE_CONFIGS_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/powerd/device_configs")
-set(REPOWERD_DEVICE_CONFIGS_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/repowerd/device-configs")
+set(POWERD_DEVICE_CONFIG_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/powerd/device_configs")
+set(REPOWERD_DEVICE_CONFIG_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/repowerd/device-configs")
 
 add_definitions(-DREPOWERD_VERSION="${REPOWERD_VERSION}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 #
 # Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>
 
-add_definitions(-DPOWERD_DEVICE_CONFIGS_PATH=\"${POWERD_DEVICE_CONFIGS_PATH}\")
-add_definitions(-DREPOWERD_DEVICE_CONFIGS_PATH=\"${REPOWERD_DEVICE_CONFIGS_PATH}\")
+add_definitions(-DPOWERD_DEVICE_CONFIG_DIR=\"${POWERD_DEVICE_CONFIG_DIR}\")
+add_definitions(-DREPOWERD_DEVICE_CONFIG_DIR=\"${REPOWERD_DEVICE_CONFIG_DIR}\")
 
 include_directories(
     ${CMAKE_SOURCE_DIR}

=== src/adapters/CMakeLists.txt ===
--- 
+++ 
@@ -30,27 +30,32 @@
     dbus_event_loop.cpp
     dbus_message_handle.cpp
     dev_alarm_wakeup_service.cpp
+    default_state_machine_options.cpp
     event_loop.cpp
     event_loop_timer.cpp
     fd.cpp
-    libsuspend_suspend_control.cpp
+    libsuspend_system_power_control.cpp
+    logind_session_tracker.cpp
+    logind_system_power_control.cpp
     monotone_spline.cpp
     null_log.cpp
     ofono_voice_call_service.cpp
     path.cpp
     real_chrono.cpp
     real_filesystem.cpp
+    real_temporary_suspend_inhibition.cpp
+    repowerd_service.cpp
     syslog_log.cpp
     sysfs_backlight.cpp
-    system_shutdown_control.cpp
+    timerfd_wakeup_service.cpp
     ubuntu_light_sensor.cpp
     ubuntu_performance_booster.cpp
     ubuntu_proximity_sensor.cpp
-    unity_display_power_control.cpp
+    unity_display.cpp
     unity_power_button.cpp
     unity_screen_service.cpp
     unity_user_activity.cpp
-    upower_power_source.cpp
+    upower_power_source_and_lid.cpp
 )
 
 add_library(
@@ -64,6 +69,7 @@
     suspend
     ${ANDROID_PROPERTIES_LDFLAGS} ${ANDROID_PROPERTIES_LIBRARIES}
     ${GIO_LDFLAGS} ${GIO_LIBRARIES}
+    ${GIO_UNIX_LDFLAGS} ${GIO_UNIX_LIBRARIES}
     ${LIBHARDWARE_LDFLAGS} ${LIBHARDWARE_LIBRARIES}
     ${UA_LDFLAGS} ${UA_LIBRARIES}
     ${UBUNTU_PLATFORM_HARDWARE_API_LDFLAGS} ${UBUNTU_PLATFORM_HARDWARE_API_LIBRARIES}
@@ -74,6 +80,7 @@
 
     ${ANDROID_PROPERTIES_INCLUDE_DIRS}
     ${GIO_INCLUDE_DIRS}
+    ${GIO_UNIX_INCLUDE_DIRS}
     ${LIBHARDWARE_INCLUDE_DIRS}
     ${UA_INCLUDE_DIRS}
     ${UBUNTU_PLATFORM_HARDWARE_API_INCLUDE_DIRS}

=== tests/adapter-tests/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 add_executable(
     repowerd-adapter-tests
 
+    current_thread_name.cpp
     dbus_bus.cpp
     dbus_client.cpp
     fake_android_properties.cpp
@@ -26,9 +27,11 @@
     fake_device_quirks.cpp
     fake_filesystem.cpp
     fake_libhardware.cpp
+    fake_logind.cpp
     fake_ofono.cpp
     fake_upower.cpp
     fake_wakeup_service.cpp
+    repowerd_dbus_client.cpp
     run_command.cpp
     temporary_environment_value.cpp
     temporary_file.cpp
@@ -37,23 +40,35 @@
     test_android_backlight.cpp
     test_android_autobrightness_algorithm.cpp
     test_android_device_config.cpp
+    test_android_device_quirks.cpp
     test_backlight_brightness_control.cpp
+    test_brightness_params.cpp
+    test_dbus_event_loop.cpp
+    test_default_state_machine_options.cpp
     test_dev_alarm_wakeup_service.cpp
+    test_event_loop.cpp
     test_event_loop_timer.cpp
+    test_fd.cpp
+    test_logind_session_tracker.cpp
+    test_logind_system_power_control.cpp
     test_monotone_spline.cpp
     test_ofono_voice_call_service.cpp
     test_path.cpp
     test_powerd_service.cpp
     test_real_chrono.cpp
     test_real_filesystem.cpp
+    test_real_temporary_suspend_inhibition.cpp
+    test_repowerd_service.cpp
     test_sysfs_backlight.cpp
+    test_timerfd_wakeup_service.cpp
     test_ubuntu_light_sensor.cpp
     test_ubuntu_proximity_sensor.cpp
-    test_unity_display_power_control.cpp
+    test_unique_random_pool.cpp
+    test_unity_display.cpp
     test_unity_power_button.cpp
     test_unity_screen_service.cpp
     test_unity_user_activity.cpp
-    test_upower_power_source.cpp
+    test_upower_power_source_and_lid.cpp
 )
 
 target_link_libraries(
@@ -69,7 +84,16 @@
 )
 
 if (REPOWERD_DISABLE_TIME_SENSITIVE_TESTS)
-    set(ADAPTER_TESTS_FILTER "${ADAPTER_TESTS_FILTER}:ARealChrono.*:AnEventLoopTimer.*")
+    set(
+        ADAPTER_TESTS_FILTER
+        "${ADAPTER_TESTS_FILTER}:\
+         ARealChrono.*:\
+         AnEventLoopTimer.*:\
+         ARealTemporarySuspendInhibition.*:\
+         ATimerfdWakeupService.*:\
+         AUnityDisplay.waits_at_most_one_second_for_turn_on_response"
+    )
+    string(REPLACE " " "" ADAPTER_TESTS_FILTER ${ADAPTER_TESTS_FILTER})
 endif()
 
 add_test(

=== tests/common/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
     repowerd-test-common STATIC
 
     fake_log.cpp
-    fake_suspend_control.cpp
+    fake_system_power_control.cpp
     spin_wait.cpp
 )

=== tests/core-tests/CMakeLists.txt ===
--- 
+++ 
@@ -19,25 +19,37 @@
 
     acceptance_test.cpp
     daemon_config.cpp
+    fake_display_information.cpp
     fake_client_requests.cpp
+    fake_client_settings.cpp
+    fake_lid.cpp
     fake_notification_service.cpp
     fake_power_button.cpp
     fake_power_source.cpp
     fake_proximity_sensor.cpp
+    fake_session_tracker.cpp
+    fake_state_machine_options.cpp
     fake_timer.cpp
     fake_user_activity.cpp
     fake_voice_call_service.cpp
 
+    run_daemon.cpp
+
     test_client_requests.cpp
+    test_client_settings.cpp
+    test_treat_power_button_as_user_activity.cpp
     test_daemon.cpp
     test_fake_timer.cpp
+    test_handler_registration.cpp
+    test_lid.cpp
     test_modem_power_control.cpp
     test_notification.cpp
     test_performance_booster.cpp
     test_power_button.cpp
     test_power_source.cpp
     test_proximity_sensor.cpp
-    test_suspend_control.cpp
+    test_session.cpp
+    test_system_power_control.cpp
     test_turn_on_display_at_startup.cpp
     test_user_activity.cpp
     test_voice_call.cpp

=== debian/changelog ===
repowerd (2017.03+17.04.20170403-0ubuntu1) zesty; urgency=medium

  * 2017.03 release
    - Fix "Closing the lid does not suspend the device" (LP: #1668596)
    - Fix "messages are logged on every input event" (LP: #1674736)
    - Fix brightness issues when turning on the screen on Fairphone 2
    - Add apport hook

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Mon, 03 Apr 2017 14:19:32 +0000

repowerd (2017.02+17.04.20170221-0ubuntu1) zesty; urgency=medium

  * 2017.02 release
    - Improve lid handling
    - Add timerfd based wakeup service for desktop
    - Support new power settings, exposed through com.canonical.repowerd
    - Improve handling of critically low power scenarios
    - Generate random cookies for wakeup requests
  * 2017.02 release

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Tue, 21 Feb 2017 11:41:12 +0000

repowerd (2016.12+17.04.20161212.1-0ubuntu1) zesty; urgency=medium

  * New 2016.12 release
    - Support suspending with logind
    - Implement basic lid handling
    - Don't change the display power mode when pressing the power
      button on non-phablet devices.
    - Various snap-related improvements
    - Fix "[mako] Alarm doesn't ring when screen locked" (LP: #1588526)
    - Fix "[mako] Awful life battery since OTA 13" (LP: #1630382)

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Mon, 12 Dec 2016 19:02:03 +0000

repowerd (2016.11+17.04.20161124-0ubuntu1) zesty; urgency=medium

  * New 2016.11 release
    - Support multiple user sessions
    - Don't interfere with the power state of non-mir sessions
    - Start repowerd at boot on desktop systems

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Thu, 24 Nov 2016 12:55:52 +0000

repowerd (2016.10+16.10.20161007-0ubuntu1) yakkety; urgency=medium

  * New 2016.10 release
    - Fix typo in brightness config value (LP: #1618391)
    - Update repowerd-cli help text
    - Handle SIGTERM gracefully in repowerd-cli
    - Wait for the repowerd DBus API to be accessible before marking
      the upstart job as started (LP: #1623853)
  * 2016.10 release

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Fri, 07 Oct 2016 11:50:44 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Section: admin
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9),
+               dh-apport,
                dh-systemd,
                android-headers,
                cmake,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --parallel --fail-missing --with systemd
+	dh $@ --parallel --fail-missing --with apport,systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## repowerd 2022.01

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,13 +16,15 @@
 
 project(repowerd)
 
-set(REPOWERD_VERSION "2017.03")
+set(REPOWERD_VERSION "2022.01")
 
 cmake_minimum_required(VERSION 3.0)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 option(REPOWERD_BUILD_TESTS "Build tests" ON)
 option(REPOWERD_DISABLE_TIME_SENSITIVE_TESTS "Don't run time-sensitive tests" OFF)
+
+option(REPOWERD_ENABLE_HYBRIS "Enable hybris support" ON)
 
 # Work around cmake setting conf dir to "/usr/etc" instead of "/etc"
 # when prefix is "/usr"
@@ -38,10 +40,13 @@
 pkg_check_modules(ANDROID_PROPERTIES REQUIRED libandroid-properties)
 pkg_check_modules(GIO REQUIRED gio-2.0)
 pkg_check_modules(GIO_UNIX REQUIRED gio-unix-2.0)
-pkg_check_modules(UA REQUIRED ubuntu-platform-api)
-pkg_check_modules(LIBHARDWARE REQUIRED libhardware)
-pkg_check_modules(UBUNTU_PLATFORM_HARDWARE_API REQUIRED ubuntu-platform-hardware-api)
-find_package(AndroidHeaders REQUIRED)
+
+if (REPOWERD_ENABLE_HYBRIS)
+    pkg_check_modules(UA REQUIRED ubuntu-platform-api)
+    pkg_check_modules(LIBHARDWARE REQUIRED libhardware)
+    pkg_check_modules(UBUNTU_PLATFORM_HARDWARE_API REQUIRED ubuntu-platform-hardware-api)
+    find_package(AndroidHeaders REQUIRED)
+endif()
 
 set(build_types "None;Debug;Release;RelWithDebInfo;MinSizeRel;AddressSanitizer;ThreadSanitizer")
 # Change informational string for CMAKE_BUILD_TYPE
@@ -77,6 +82,6 @@
 add_subdirectory(data/)
 
 if(REPOWERD_BUILD_TESTS)
-    find_package(GtestGmock REQUIRED)
+    find_package(GMock REQUIRED)
     add_subdirectory(tests/)
 endif()

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 install(
   FILES ${device_config_files}
-  DESTINATION ${REPOWERD_DEVICE_CONFIGS_PATH}
+  DESTINATION ${REPOWERD_DEVICE_CONFIG_DIR}
 )
 
 install(

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,10 @@
 include_directories(
     ${CMAKE_SOURCE_DIR}
 )
+
+if (REPOWERD_ENABLE_HYBRIS)
+    add_definitions(-DREPOWERD_ENABLE_HYBRIS)
+endif()
 
 add_subdirectory(core)
 add_subdirectory(adapters)

=== src/adapters/CMakeLists.txt ===
--- 
+++ 
@@ -16,11 +16,20 @@
 
 add_subdirectory(libsuspend)
 
+if (REPOWERD_ENABLE_HYBRIS)
+    set(REPOWERD_ADAPTER_HYBRIS_SRCS
+        android_backlight.cpp
+        dev_alarm_wakeup_service.cpp
+        ubuntu_light_sensor.cpp
+        ubuntu_performance_booster.cpp
+        ubuntu_proximity_sensor.cpp
+    )
+endif()
+
 set(
     REPOWERD_ADAPTER_SRCS
 
     android_autobrightness_algorithm.cpp
-    android_backlight.cpp
     android_device_config.cpp
     android_device_quirks.cpp
     backlight_brightness_control.cpp
@@ -29,7 +38,6 @@
     dbus_connection_handle.cpp
     dbus_event_loop.cpp
     dbus_message_handle.cpp
-    dev_alarm_wakeup_service.cpp
     default_state_machine_options.cpp
     event_loop.cpp
     event_loop_timer.cpp
@@ -37,6 +45,9 @@
     libsuspend_system_power_control.cpp
     logind_session_tracker.cpp
     logind_system_power_control.cpp
+    lsc_display.cpp
+    lsc_power_button.cpp
+    lsc_user_activity.cpp
     monotone_spline.cpp
     null_log.cpp
     ofono_voice_call_service.cpp
@@ -44,18 +55,14 @@
     real_chrono.cpp
     real_filesystem.cpp
     real_temporary_suspend_inhibition.cpp
-    repowerd_service.cpp
+    repowerd_settings_service.cpp
     syslog_log.cpp
     sysfs_backlight.cpp
     timerfd_wakeup_service.cpp
-    ubuntu_light_sensor.cpp
-    ubuntu_performance_booster.cpp
-    ubuntu_proximity_sensor.cpp
-    unity_display.cpp
-    unity_power_button.cpp
     unity_screen_service.cpp
-    unity_user_activity.cpp
     upower_power_source_and_lid.cpp
+
+    ${REPOWERD_ADAPTER_HYBRIS_SRCS}
 )
 
 add_library(

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,9 @@
     REPOWERD_CORE_SRCS
     daemon.cpp
     default_state_machine.cpp
+    default_state_machine_factory.cpp
     handler_registration.cpp
+    state_event_adapter.cpp
 )
 
 add_library(

=== src/tools/CMakeLists.txt ===
--- 
+++ 
@@ -85,6 +85,20 @@
 )
 
 add_executable(
+    repowerd-session-tool
+
+    session_tool.cpp
+)
+
+target_link_libraries(
+    repowerd-session-tool
+
+    repowerd-core
+    repowerd-adapters
+    repowerd-default-daemon-config
+)
+
+add_executable(
     repowerd-wakeup-tool
 
     wakeup_tool.cpp

=== tests/adapter-tests/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,17 @@
 #
 # Authored by: Alexandros Frantzis <alexandros.frantzis@canonical.com>
 
+if (REPOWERD_ENABLE_HYBRIS)
+    set(REPOWERD_ADAPTER_TEST_HYBRIS_SRCS
+        fake_libhardware.cpp
+
+        test_android_backlight.cpp
+        test_dev_alarm_wakeup_service.cpp
+        test_ubuntu_light_sensor.cpp
+        test_ubuntu_proximity_sensor.cpp
+    )
+endif()
+
 add_executable(
     repowerd-adapter-tests
 
@@ -26,18 +37,16 @@
     fake_device_config.cpp
     fake_device_quirks.cpp
     fake_filesystem.cpp
-    fake_libhardware.cpp
     fake_logind.cpp
     fake_ofono.cpp
     fake_upower.cpp
     fake_wakeup_service.cpp
-    repowerd_dbus_client.cpp
+    repowerd_settings_dbus_client.cpp
     run_command.cpp
     temporary_environment_value.cpp
     temporary_file.cpp
     unity_screen_dbus_client.cpp
 
-    test_android_backlight.cpp
     test_android_autobrightness_algorithm.cpp
     test_android_device_config.cpp
     test_android_device_quirks.cpp
@@ -45,30 +54,29 @@
     test_brightness_params.cpp
     test_dbus_event_loop.cpp
     test_default_state_machine_options.cpp
-    test_dev_alarm_wakeup_service.cpp
     test_event_loop.cpp
     test_event_loop_timer.cpp
     test_fd.cpp
     test_logind_session_tracker.cpp
     test_logind_system_power_control.cpp
+    test_lsc_display.cpp
+    test_lsc_power_button.cpp
+    test_lsc_user_activity.cpp
     test_monotone_spline.cpp
     test_ofono_voice_call_service.cpp
     test_path.cpp
-    test_powerd_service.cpp
     test_real_chrono.cpp
     test_real_filesystem.cpp
     test_real_temporary_suspend_inhibition.cpp
     test_repowerd_service.cpp
+    test_repowerd_settings_service.cpp
     test_sysfs_backlight.cpp
     test_timerfd_wakeup_service.cpp
-    test_ubuntu_light_sensor.cpp
-    test_ubuntu_proximity_sensor.cpp
     test_unique_random_pool.cpp
-    test_unity_display.cpp
-    test_unity_power_button.cpp
     test_unity_screen_service.cpp
-    test_unity_user_activity.cpp
     test_upower_power_source_and_lid.cpp
+
+    ${REPOWERD_ADAPTER_TEST_HYBRIS_SRCS}
 )
 
 target_link_libraries(
@@ -78,7 +86,7 @@
     repowerd-adapters
     repowerd-test-common
 
-    ${GTEST_BOTH_LIBRARIES}
+    ${GTEST_LIBRARY}
     ${GMOCK_LIBRARY}
     ${GMOCK_MAIN_LIBRARY}
 )
@@ -91,7 +99,7 @@
          AnEventLoopTimer.*:\
          ARealTemporarySuspendInhibition.*:\
          ATimerfdWakeupService.*:\
-         AUnityDisplay.waits_at_most_one_second_for_turn_on_response"
+         AnLscDisplay.waits_at_most_one_second_for_turn_on_response"
     )
     string(REPLACE " " "" ADAPTER_TESTS_FILTER ${ADAPTER_TESTS_FILTER})
 endif()

=== tests/common/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
     repowerd-core
 
-    ${GTEST_BOTH_LIBRARIES}
+    ${GTEST_LIBRARY}
     ${GMOCK_LIBRARY}
     ${GMOCK_MAIN_LIBRARY}
 )

=== tests/core-tests/CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
     repowerd-core
     repowerd-test-common
 
-    ${GTEST_BOTH_LIBRARIES}
+    ${GTEST_LIBRARY}
     ${GMOCK_LIBRARY}
     ${GMOCK_MAIN_LIBRARY}
 )

=== debian/changelog ===
repowerd (2022.01-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1005759).
  * debian/:
    + Drop UBports' Jenkinsfile.
    + Drop repowerd.upstart file. Upstart is dead.
    + Drop transitional package 'powerd'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 13.
  * debian/control:
    + Set Maintainer: and Uploaders: field appropriately for official Debian
      upload.
    + Drop B-Ds on dh-systemd and dh-apport.
    + Comment out B-Ds: android-headers and libandroid-properties-dev.
    + Add R³ field and set it to 'no'.
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Adjust Homepage: and Vcs-*: fields.
    + Re-phrase SYNOPSIS and LONG_DESCRIPTION fields.
    + Simply B:/R: powerd. Transition time is over.
  * debian/rules:
    + Add get-orig-source target.
    + Drop --with apport,systemd. (apport: Not available in Debian, systemd:
      default these days anyway).
    + Move --fail-missing to extra override.
    + Drop --parallel from dh call. Now default, as well.
    + White-space / indentation fix.
    + Enable all hardening build flags.
  * debian/watch:
    + Add file.
  * debian/source/format:
    + Switch to '3.0 (quilt)'.
  * debian/repowerd.service:
     + Comment out Wants=/After=lxc-android-config.serivce. This is Ubuntu Touch
       specific.
  * debian/patches:
    + Add 1001_fix-non-libhybris-builds.patch. Fix build without libandroid-
      properties-dev and android-headers (libhybris).
    + Add 1002_fix-typo.patch. Fix typo.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/copyright:
    + Use secure URL in Format: field.
    + Add auto-generated copyright.in file.
    + Rewrite copyright attributions.
  * lintian:
    + Override missing manual pages (for now) and other overrides.
  * debian/repowerd.links:
    + Drop powerd symlink, powerd compat binary won't be provided in Debian.
  * debian/repowerd.apport:
    + Drop file. No Apport available in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 14 Feb 2022 23:23:13 +0100

repowerd (2018.04+ubports) xenial; urgency=medium

  * Import to UBports
  * Always set brightness before first autobrightness setting

 -- Marius Gripsgard <marius@ubports.com>  Mon, 15 Jan 2018 15:45:57 +0100

=== debian/control ===
Source: repowerd
Priority: optional
Section: admin
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
#               android-headers,
               cmake,
               cmake-extras,
               dbus,
               googletest | google-mock,
#               libandroid-properties-dev,
               libglib2.0-dev,
               libgtest-dev,
               pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/repowerd/
Vcs-Browser: https://salsa.debian.org/ubports-team/repowerd/
Vcs-Git: https://salsa.debian.org/ubports-team/repowerd.git

Package: repowerd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         repowerd-data (= ${source:Version})
Breaks: powerd,
Replaces: powerd,
Description: Power daemon to monitor and control system power state (daemon)
 This daemon monitors and controls system power states for the Lomiri
 Operating Environment. It provides a D-Bus interface for system services
 to request a power state, essentially allowing services to block
 suspend.
 .
 This package contains repowerd daemon itself.

Package: repowerd-data
Architecture: all
Depends: ${misc:Depends}
Breaks: powerd,
Replaces: powerd,
Description: Power daemon to monitor and control system power state (daemon data)
 This daemon monitors and controls system power states for the Lomiri
 Operating Environment. It provides a D-Bus interface for system services
 to request a power state, essentially allowing services to block
 suspend.
 .
 This package contains data files needed by repowerd.

Package: repowerd-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         repowerd-data (= ${source:Version})
Description: Power daemon to monitor and control system power state (tools)
 This daemon monitors and controls system power states for the Lomiri
 Operating Environment. It provides a D-Bus interface for system services
 to request a power state, essentially allowing services to block
 suspend.
 .
 This package contains tools that use the repowerd infrastructure to interact
 with various hardware components. These tools are mainly useful for manual
 integration testing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DREPOWERD_ENABLE_HYBRIS=OFF \
		-DREPOWERD_DISABLE_TIME_SENSITIVE_TESTS=ON

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/repowerd/tags .*/repowerd-(\d\S+)\.tar\.gz
